# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(Scalar/Util.pm) perl(Wx/Event.pm) perl-devel perl-podlators
# END SourceDeps(oneline)
AutoReq: yes,noperl
%global use_x11_tests 1

Name:           perl-Wx-Perl-DataWalker
Version:        0.02
Release:        alt1_15
Summary:        Implement subclass that shows relatively simple structure
License:        GPL+ or Artistic
Group:          Development/Perl
URL:            http://search.cpan.org/dist/Wx-Perl-DataWalker/
Source0:        http://www.cpan.org/authors/id/S/SM/SMUELLER/Wx-Perl-DataWalker-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  perl(Class/XSAccessor.pm)
BuildRequires:  perl(Devel/Size.pm)
BuildRequires:  perl(ExtUtils/MakeMaker.pm)
BuildRequires:  perl(Wx.pm)
BuildRequires:  perl(YAML/XS.pm)
BuildRequires:  perl(Test/More.pm)
%if %{use_x11_tests}
# X11 tests:
BuildRequires:  xorg-x11-xvfb
BuildRequires:  xinit
BuildRequires:  fontlang(en)
%endif
Source44: import.info

%description
Wx::Perl::DataWalker implements a Wx::Frame subclass that shows a
relatively simple Perl data structure browser. After opening such a frame
and supplying it with a reference to an essentially arbitrary data
structure, you can visually browse it by double-clicking references.

%prep
%setup -q -n Wx-Perl-DataWalker-%{version}

%build
%{__perl} Makefile.PL INSTALLMAN1DIR=%_man1dir INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;
# %{_fixperms} $RPM_BUILD_ROOT/*

%check
%if %{use_x11_tests}
    xinit /bin/sh -c 'rm -f ok; make test && touch ok' -- /usr/bin/Xvfb :666
    test -e ok
%endif

%files
%doc Changes
%{perl_vendor_privlib}/*

%changelog
* Mon Mar 04 2013 Igor Vlasenko <viy@altlinux.ru> 0.02-alt1_15
- update to new release by fcimport

* Tue Jul 31 2012 Igor Vlasenko <viy@altlinux.ru> 0.02-alt1_14
- update to new release by fcimport

* Thu Jun 07 2012 Igor Vlasenko <viy@altlinux.ru> 0.02-alt1_12
- fc import

